<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: /home/x/siggen/lib/include/File.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_file_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">File.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &lt;cstdio&gt;</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">namespace </span>siggen</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;{</div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="classsiggen_1_1_file.html">    9</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classsiggen_1_1_file.html">File</a></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    {</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        std::FILE * m_File { <span class="keyword">nullptr</span> };</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <a class="code" href="classsiggen_1_1_file.html#a7f0e1503ea9ce5058744e7c2d8f1713f">File</a> (std::FILE * file);</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        ~<a class="code" href="classsiggen_1_1_file.html">File</a> ();</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <span class="keywordtype">size_t</span> <a class="code" href="classsiggen_1_1_file.html#a0b8c2a7789ecc8fd48f9d226390fe77d">TryRead</a> (<span class="keywordtype">char</span> * buffer, <span class="keywordtype">size_t</span> size);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="keywordtype">size_t</span> <a class="code" href="classsiggen_1_1_file.html#a6ea3dc0b20f69e00366a6d8dd91d5328">TryWrite</a> (<span class="keywordtype">char</span> <span class="keyword">const</span> * buffer, <span class="keywordtype">size_t</span> size);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    };</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;} <span class="comment">// namespace siggen</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclasssiggen_1_1_file_html_a6ea3dc0b20f69e00366a6d8dd91d5328"><div class="ttname"><a href="classsiggen_1_1_file.html#a6ea3dc0b20f69e00366a6d8dd91d5328">siggen::File::TryWrite</a></div><div class="ttdeci">size_t TryWrite(char const *buffer, size_t size)</div><div class="ttdoc">attempts to write block of data to file</div><div class="ttdef"><b>Definition:</b> <a href="_file_8cpp_source.html#l00033">File.cpp:33</a></div></div>
<div class="ttc" id="aclasssiggen_1_1_file_html_a7f0e1503ea9ce5058744e7c2d8f1713f"><div class="ttname"><a href="classsiggen_1_1_file.html#a7f0e1503ea9ce5058744e7c2d8f1713f">siggen::File::File</a></div><div class="ttdeci">File(std::FILE *file)</div><div class="ttdoc">takes ownership of the opened file descriptor</div><div class="ttdef"><b>Definition:</b> <a href="_file_8cpp_source.html#l00008">File.cpp:8</a></div></div>
<div class="ttc" id="aclasssiggen_1_1_file_html_a0b8c2a7789ecc8fd48f9d226390fe77d"><div class="ttname"><a href="classsiggen_1_1_file.html#a0b8c2a7789ecc8fd48f9d226390fe77d">siggen::File::TryRead</a></div><div class="ttdeci">size_t TryRead(char *buffer, size_t size)</div><div class="ttdoc">attempts to read block from file</div><div class="ttdef"><b>Definition:</b> <a href="_file_8cpp_source.html#l00026">File.cpp:26</a></div></div>
<div class="ttc" id="aclasssiggen_1_1_file_html"><div class="ttname"><a href="classsiggen_1_1_file.html">siggen::File</a></div><div class="ttdoc">basic C file operations encapsulated in class</div><div class="ttdef"><b>Definition:</b> <a href="_file_8h_source.html#l00009">File.h:9</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_97aefd0d527b934f1d99a682da8fe6a9.html">lib</a></li><li class="navelem"><a class="el" href="dir_5a30104352ef4255dc24354b02eb2d20.html">include</a></li><li class="navelem"><b>File.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
